Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 02 Sep 2014, 03:18
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
NVIDIA x86-260.19.44 drivers for kernels 2.6.38.2 & 2.6.33.2
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [18 Posts]   Goto page: 1, 2 Next
Author Message
666philb


Joined: 07 Feb 2010
Posts: 1663
Location: wales

PostPosted: Mon 18 Apr 2011, 05:37    Post subject:  NVIDIA x86-260.19.44 drivers for kernels 2.6.38.2 & 2.6.33.2
Subject description: 2.6.38.2 is the experimental icepup and 2.6.33.2 is most lucids
 

This is the NVIDIA-Linux-x86_64-260.19.44.graphics driver.

Only for lucid based puppies. These will not work for lighthouse.! or probably any other puppy.
I pinched the pinstall & punstall scripts from an official lucid driver out of the PPM, so thankyou to who ever created those.

These drivers are kernel specific. To find out which kernel you have, go to the menu / system / hardinfo hardware information then click on the 'operating system' option.
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
This is for kernel 2.6.33.2 (various lucid puppy's) http://www.megaupload.com/?d=GNUFZLWN 27.15mb MD5 225d75dd0e29176d3e594ed90668d2fc
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------
This is for kernel 2.6.38.2 (experimental icepuppy & experimental lucid 525) http://www.megaupload.com/?d=CQICIYZY 27.22mb
MD5 533788bd606f2175426a333db7ffba40
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Let me now if you have any problems with them.

666philb
Code:
GeForce 500 series:
GTX 580, GTX 570

GeForce 400 series:
GTX 460 SE, GTX 460, GT 430, GTX 465, GTS 450, GTX 480, GTX 470

GeForce 400M series:
GTX 460M, GT 415M, GT 425M, GTX 480M, GT 435M, GT 420M

GeForce 300 series:
GT 320, 315, GT 340, 310, GT 330

GeForce 300M series:
305M, GTS 360M, GT 320M, GT 335M, GTS 350M, 310M, GT 325M, GT 330M

GeForce 200 series:
GT 230, G210, GTX 280, GTX 295, GT 220, 205, GTX 275, GTS 240, GTX 260, GTX 285, GT 240, GTS 250

GeForce 200M series:
G210M, GT 220M, GT 240M, GTS 250M, GTX 285M, GTX 280M, GTS 260M, GT 230M, GTX 260M

GeForce 100 series:
GT 140, G 100, GT 120, GT 130

GeForce 100M series:
GT 120M, G 105M, G 102M, G 103M, G 110M, GTS 150M, GT 130M, GTS 160M

GeForce 9 series:
9800 GX2, 9300, 9600 GT, 9500 GT, 9500 GS, 9650 S, 9400 GT, 9600 GSO, 9800 GTX+, 9400, 9300 / nForce 730i, 9300 GE, 9200, 9100, 9300 SE, 9800 GT, 9300 GS, 9600 GS, 9800 GTX/GTX+, 9600 GSO 512

GeForce 9M series:
9600M GS, 9800M GTS, 9700M GTS, 9400M, 9700M GT, 9100M G, 9800M GS, 9650M GS, 9600M GT, 9300M GS, 9400M G, 9800M GTX, 9300M G, 9200M GS, 9500M G, 9800M GT, 9650M GT, 9500M GS

GeForce 8 series:
8400, 8800 GTS 512, 8300 GS, 8800 GT, 8600 GS, 8800 GTX, 8400 GS, 8800 Ultra, 8500 GT, 8800 GS, 8100 / nForce 720a, 8200, 8400 SE, 8800 GTS, 8600 GTS, 8300

GeForce 8M series:
8800M GTX, 8400M GT, 8800M GTS, 8400M GS, 8600M GS, 8400M G, 8700M GT, 8200M G, 8600M GT

GeForce 7 series:
7600 GS, 7650 GS, 7350 LE, 7900 GS, 7050 / nForce 620i, 7800 GTX, 7050 PV / NVIDIA nForce 630a, 7050 / NVIDIA nForce 630i, 7900 GT/GTO, 7100 / NVIDIA nForce 630i, 7950 GT, 7300 SE / 7200 GS, 7500 LE, 7150M /NVIDIA nForce 630M, 7300 GS, 7800 GT, 7900 GTX, 7150 / NVIDIA nForce 630i, 7025 / NVIDIA nForce 630a, 7600 LE, 7000M /NVIDIA nForce 610M, 7800 SLI, 7600 GT, 7300 GT, 7300 LE, 7800 GS, 7950 GX2, 7100 GS

GeForce Go 7 series:
Go 7950 GTX, Go 7300, Go 7600, Go 7800, Go 7700, Go 7900 GS, Go 7600 GT, Go 7800 GTX, Go 7200, Go 7400

GeForce 6 series:
6100 nForce 400, 6200 A-LE, 6600 VE, 6800 XE, 6600 GT, 6610 XL, 6150, 6200 TurboCache, 6800 LE, 6150 LE, 6800 GT, 6500, 6700 XL, 6150SE nForce 430, 6100 nForce 420, 6100, 6800 Ultra, 6200, 6250, 6800 XT, 6200 LE, 6800 GS, 6600, 6600 LE, 6200SE TurboCache, 6800, 6100 nForce 405

NVS Series:
NVS 300

Quadro series:
600, 2000, 5000, 4000, 6000

Quadro FX series:
FX 580, FX 3450/4000 SDI, FX 4500 X2, FX 3800, FX 1500, FX 350, FX 5600, FX 4500, FX 4000, FX 3400/4400, FX Go1400, FX 4800, FX 380 LP, FX 4700 X2, FX 540, FX 570, FX 3500, FX 550, FX 3700, FX 5500, FX 1800, FX 1700, CX, FX 4600, FX 370 Low Profile, FX 5800, FX 380, FX 1400, FX 560, FX 370

Quadro Notebook series:
5000M

Quadro FX Notebook series:
FX 570M, FX 540M, FX 2700M, FX 880M, FX 370M, FX 560M, FX 380M, FX 1700M, FX 770M, FX 350M, FX 1800M, FX 3800M, FX 3700M, FX 2500M, FX 360M, FX 2800M, FX 1600M, FX 3600M, FX 1500M

Quadro NVS series:
NVS 290, NVS 420, NVS 285, NVS 440, NVS 210S / 6150LE, NVS 450, NVS 295

Quadro NVS Notebook series:
NVS 135M, NVS 160M, NVS 320M, NVS 510M, NVS 150M, NVS 130M, NVS 140M, NVS 110M, NVS 120M

Quadro Plex series:
D Series, Model II, Model IV, 7000

Quadro G-Sync series:
G-Sync II

Quadro SDI series:
Quadro SDI

1U System:
Tesla M2070, Tesla M2070-Q, Tesla S2050, Tesla M2050, Tesla M1060, T10 Processor

ION series:
ION LE, ION

GPU Computing Processor series:
Tesla C870, Tesla C2050, Tesla C2070, Tesla C1060

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
puppyluvr


Joined: 06 Jan 2008
Posts: 3196
Location: Chickasha Oklahoma

PostPosted: Thu 08 Dec 2011, 09:19    Post subject:  

Very Happy Hello,
Any chance you could compile this driver on 2.6.38.4??
Nvidia users on Lupen and Icepuppy and other 2.6.38.4 Pups would be very appreciative, Im sure..
Thx..
Jay..

_________________
Close the Windows, and open your eyes, to a whole new world
http://puppylinuxstuff.meownplanet.net/puppyluvr/
Puppy Linux Users Group on Facebook

Puppy since 2.15CE...
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2618
Location: Japan

PostPosted: Thu 08 Dec 2011, 11:12    Post subject: nVidia drivers for kernel 2.6.38.4  

puppyluvr wrote:
Any chance you could compile this driver on 2.6.38.4??
Nvidia users on Lupen and Icepuppy and other 2.6.38.4 Pups would be very appreciative, Im sure..

There is an issue as for the kernel 2.6.38.4.
The kernel 2.6.38.4 is used in many puppies as you say, but they are not the same.
We need to compile the nVidia driver against each of them.

I compiled:
nvidia-glx-285.05.09-k2.6.39.4-dpup-2.sfs ... For Dpup Exprimo
nvidia-glx-sdl-285.05.09-slacko.sfs ... For Slacko RC/RC++, both kernel 2.6.37.6 and 2.6.39.4.
http://www.murga-linux.com/puppy/viewtopic.php?t=72405
All in SFS.

EDIT: I was mixing up with the kernel 2.6.38.4 and the 2.6.39.4 in this post.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html

Last edited by shinobar on Mon 12 Dec 2011, 21:29; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
666philb


Joined: 07 Feb 2010
Posts: 1663
Location: wales

PostPosted: Fri 09 Dec 2011, 14:08    Post subject:  

puppyluvr wrote:
Very Happy Hello,
Any chance you could compile this driver on 2.6.38.4??
Nvidia users on Lupen and Icepuppy and other 2.6.38.4 Pups would be very appreciative, Im sure..
Thx..
Jay..


hi puppyluvr Very Happy

if shinobars drivers don't work for those particular 2.6.38.4 kernels i'll certainly give it go.

can you post links to the particular puppy's in question

i won't be able to try for a few weeks, until i get broadband though

666philb

p.s. shinobar will probably beat me to it Smile

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1663
Location: wales

PostPosted: Fri 09 Dec 2011, 14:15    Post subject: Re: nVidia drivers for kernel 2.6.38.4  

shinobar wrote:
puppyluvr wrote:
Any chance you could compile this driver on 2.6.38.4??
Nvidia users on Lupen and Icepuppy and other 2.6.38.4 Pups would be very appreciative, Im sure..

There is an issue as for the kernel 2.6.38.4.
The kernel 2.6.38.4 is used in many puppies as you say, but they are not the same.
We need to compile the nVidia driver against each of them.

I compiled:
nvidia-glx-285.05.09-k2.6.39.4-dpup-2.sfs ... For Dpup Exprimo
nvidia-glx-sdl-285.05.09-slacko.sfs ... For Slacko RC/RC++, both kernel 2.6.37.6 and 2.6.39.4.
http://www.murga-linux.com/puppy/viewtopic.php?t=72405
All in SFS.


hi shinobar

i use your nvidia driver .sfs for slacko.

however

when i tried to compile the nvidia driver for slacko myself, it failed. i used the kernel sources from slickpet.

how did you manage to do it?

i'm having the same problem with guydog, is there something wrong with the kernel sources on these puppy's?

cheers 666philb

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
8-bit


Joined: 03 Apr 2007
Posts: 3365
Location: Oregon

PostPosted: Fri 09 Dec 2011, 23:54    Post subject:  

I had also tried to use various Nvidia installers that support my Nvidia GeForce 6150SE graphics card for the 2.6.38.4 kernel used in Lupen-0.1.
I kept getting error messages of the kernel not being the right one or that the compiler used to make the kernel was too old or the wrong one.
Also, I had a bunch of compiler errors in the /var/nvidia-install.log.
So I do not know if it will be possible to get a working driver for that puppy version.
When it was built, Puppylvr said he changed version numbers part way through the build among other things.

I have installed the factory drivers on other versions of Puppy with no problem so I am not a stranger to it.

Also, I just wanted to get the factory driver installed so I would be able to use Compiz with xfce4 to get those graphic effects.

It is no biggie though.
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2618
Location: Japan

PostPosted: Sat 10 Dec 2011, 06:52    Post subject: Re: nVidia drivers for kernel 2.6.38.4  

666philb wrote:
when i tried to compile the nvidia driver for slacko myself, it failed. i used the kernel sources from slickpet.

how did you manage to do it?

I do not remember the detail but i must have used devx_slacko_5.3.sfs and kernel_src-2.6.39.4-patched.sfs.
ftp://distro.ibiblio.org/puppylinux/pet_packages-slacko/
You are better to install mesa and SDL packages(need not _DEV) before compiling the nvidia.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2618
Location: Japan

PostPosted: Sat 10 Dec 2011, 07:06    Post subject: Nvidia on Lupen  

puppyluvr wrote:
Nvidia users on Lupen and Icepuppy and other 2.6.38.4 Pups would be very appreciative,

Where and which is the devx and kernel source for the Lupen?

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
8-bit


Joined: 03 Apr 2007
Posts: 3365
Location: Oregon

PostPosted: Sat 10 Dec 2011, 19:11    Post subject:  

I think links to them can be found in the beginning of the Lupen thread.
It is located at http://www.murga-linux.com/puppy/viewtopic.php?t=67910.

A direct link to the devx file is http://puppylinuxstuff.meownplanet.net/puppyluvr/lupu_devx_539.sfs.

And a direct link to the kernel source is http://www.smokey01.com/pemasu/Kernel_sources/kernel_src-2.6.38.4-lupe22.sfs.

That is the best I can do for you for now.

If you do get an Nvidia driver complied for Lupen, please PM me with a link to where I can get it.
Thank you in advance!
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1663
Location: wales

PostPosted: Thu 05 Jan 2012, 15:30    Post subject:  

i had a go,, but the driver won't build. are you sure they are the correct kernel sources?
_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
vaza

Joined: 24 May 2010
Posts: 10

PostPosted: Tue 28 Feb 2012, 16:09    Post subject:  

I've been looking all over for this download. Of course Mega is gone. I need the GTX570 drive for 2.6.33.2
Thanks
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1663
Location: wales

PostPosted: Tue 28 Feb 2012, 16:27    Post subject:  

hi vasa.... which puppy are you using?
_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
vaza

Joined: 24 May 2010
Posts: 10

PostPosted: Tue 28 Feb 2012, 17:37    Post subject:  

Lucid 528.004
2.6.33.2
Thanks for the quick reply
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1663
Location: wales

PostPosted: Wed 29 Feb 2012, 03:49    Post subject:  

i think that the driver from quick-pet should work for that, have you tried it?

quickpet>>>drivers>>>test

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2618
Location: Japan

PostPosted: Wed 29 Feb 2012, 08:43    Post subject: nvidia-glx-sdl-295.20-1.sfs  

UPDATE: nvidia-glx-sdl-295.20-1.sfs
was failed for lupu.
http://www.murga-linux.com/puppy/viewtopic.php?t=72405

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 2 [18 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1026s ][ Queries: 12 (0.0154s) ][ GZIP on ]